### Method

# Camel Folder set_mark_seen

since: 3.32

#### Declaration [src]

    void
    camel_folder_set_mark_seen (
      CamelFolder* folder,
      CamelThreeState mark_seen
    )

#### Description [src]

Sets whether the messages in this `folder` should be marked as seen automatically. An inconsistent state means to use global option.

Available since: 3.32

Sets property | `Camel.Folder:mark-seen`

#### Parameters

`mark_seen`

  Type: `CamelThreeState`

  A `CamelThreeState` as the value to set.